Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibsic

## Name

ibsic -- perform interface clear (board)

## Synopsis

    #include <gpib/ib.h>

``int ibsic`(int ud);`

## Description

ibsic() resets the GPIB bus by asserting the 'interface clear' (IFC) bus line for a duration of at least 100 microseconds. The board specified by `ud` must be the system controller in order to assert IFC. The interface clear causes all devices to untalk and unlisten, puts them into serial poll disabled state (don't worry, you will still be able to conduct serial polls), and the board becomes controller-in-charge.

## Return value

The value of ibsta is returned.

Prev | Home | Next
ibsad | Up | ibspb